Tag: exit-code

Ein exit-code signalisiert ein Programm auf die Kündigung zu geben, wenn es erfolgreich abgeschlossen wurde, oder, wenn er nicht, welche Art von Fehler aufgetreten ist.

Rückgabewert von batch-Skript

Anzahl der Antworten 2 Antworten
Ich bin aufrufenden batch-Skript von vbscript. In der batch-script, basierend auf der Voraussetzung, dass ich zurückkehren möchten benutzerdefinierte exit-code. @echo off setlocal ENABLEDELAYEDEXPANSION` for /f "usebackq" %%i in (`"%1"\fciv.exe" -md5 %2"`) do set md5_1=%%i for /f "usebackq"

Wie man den numerischen exit-status eines verlassen docker-container?

Anzahl der Antworten 3 Antworten
Wenn ein container beendet, docker ps -a zeigt den exit-code (scrollen $ docker run ubuntu bash -c "exit 1" CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES c2c769c4b9ef ubuntu "bash -c 'exit 1'" 6 seconds ago Exited

Ruby: Rückgabe von null verschiedenen exit-status

Anzahl der Antworten 1 Antworten
Ich würde gerne meine Ruby-Skript, um wieder alle nicht-null exit status, sobald eine bestimmte Bedingung. Der exit-status selbst keine Rolle, solange es nicht null ist. Ich habe getestet, wie es gemacht wird: test_exit.rb: exit 4 test_exit_wrap.rb: system("ruby

Holen Sie exit-code 1 auf Makefile if-Anweisung

Anzahl der Antworten 2 Antworten
Ich versuche, den exit-code auf der ifdef-Anweisung, wenn die Aussage nicht stimmt, aber ich habe versucht, durch die Verwendung von Ausgang 1 und $(call exit 1) wenn mit dem ersten auf der folgenden code, den ich bekommen

Wie kann ich den exit-code im Inno Setup?

Anzahl der Antworten 2 Antworten
Will ich legen Sie die exit-code für meine installation, auf diese Weise werde ich wissen, warum die installation abgebrochen wurde. Ich bin mit Inno-Setup. InformationsquelleAutor Toda Raba | 2010-01-06

Bash: Überprüfen der exit-status des multi-pipe-Kommando-Kette

Anzahl der Antworten 1 Antworten
Ich habe ein problem, die Prüfung, ob ein bestimmter Befehl in einem multi-pipe-Befehl Kette hat einen Fehler auslösen. In der Regel ist dies nicht schwer zu überprüfen, aber weder set -o pipefail noch durch ${PIPESTATUS[@]} funktioniert in

Drücken Sie zum beenden die EINGABETASTE While-Schleife in Python 3.4

Anzahl der Antworten 3 Antworten
Ich bin neu in Python und unterrichte mich über die letzten Monate. Das Buch, das ich mit lehrt Python 2.7, während ich versuche zu lernen in Python 3.4. Ich habe daran gewöhnt, mit beiden jetzt, sondern auch

Exit-code als python-Skript hat nicht behandelte Ausnahme

Anzahl der Antworten 2 Antworten
Ich brauche eine Methode zum ausführen eines python-Skript-Datei, und wenn das Skript nicht mit eine nicht behandelte Ausnahme python-Ausgang mit einem nicht-null exit-code. Mein Erster Versuch war so etwas wie dieses: import sys if __name__ == '__main__':

findstr Exitcodes/errorlevel

Anzahl der Antworten 2 Antworten
Ich habe ein Programm, das findstr, und wenn die Zeichenfolge gefunden wird, die errorlevel zurück 0 und wenn die Zeichenfolge nicht gefunden, wird die errorlevel zurück 1. Okay, das ist in Ordnung, ich kann damit Leben. Wo

Alle möglichen Rückgabewerte für cp

Anzahl der Antworten 2 Antworten
Blick auf den man-Seiten für cp, ich fand nur, dass der Befehl beendet sich mit 0, wenn die Kopie erfolgreich, ohne Fehler und mit einer Zahl größer als 0 auf etwaige Fehler. Aber ich konnte nicht finden

Beenden Sie die Anwendung in Qt

Anzahl der Antworten 3 Antworten
Ich gebaut habe, eine app in Qt enthält zwei Schaltflächen: eine exit-Taste und eine Schaltfläche "importieren". Wenn die Schaltfläche "importieren" gedrückt wird, wird eine Liste von Schaltflächen, die angezeigt wird, in eine scrollarea auf dem Bildschirm (die

Exit-code der variable Zuordnung Kommando-substitution in Bash

Anzahl der Antworten 4 Antworten
Ich bin verwirrt darüber, was als Fehler-code das Kommando gibt bei der Ausführung eine variable Zuordnung klar und deutlich und mit command substitution: a=$(false); echo $? Gibt es 1, die lassen mich denken, dass variable Zuweisung nicht

Xcode Exit-codes und Signale

Anzahl der Antworten 1 Antworten
Hab ich sah sich um und fand nie eine umfassende Liste von exit-codes für Xcode vor allem die Arbeit mit iOS. Diese Frage: Debugging an simulator stürzt ab mit "exited with status 5", es sei denn, ich

Anwendung noch ausgeführt wird, im Speicher nach der Anwendung.Exit() aufgerufen wird

Anzahl der Antworten 3 Antworten
Die Anwendung, die ich am Gebäude ist immer noch im Arbeitsspeicher ausgeführt (geprüft, die im Task-Manager) nach, es wird geschlossen mit Application.Exit(). Weil dieses, wenn ich es wieder laufen nach dem schließen, wie oben erwähnt, bin ich

Bedeutung von Exit-Code 11 in C?

Anzahl der Antworten 3 Antworten
Was ist die Allgemeine Bedeutung einer exit-code 11 in C? Ich sah herum und kann nicht finden, eine definitive Antwort, so dass ich dachte, ich würde hier Fragen. Es kommt, wenn ich versuche, fügen Sie ein element

Gibt es eine komplette Liste der JVM-exit-codes

Anzahl der Antworten 1 Antworten
Ich bin auf der Suche nach einer vollständigen Liste aller möglichen jvm exit-codes (nicht-java-System.exit(x)). Das einzige, was ich finden konnte durch die Verwendung einer Suchmaschine ist eine Liste von SIGTERM exit-codes: http://journal.thobe.org/2013/02/jvms-and-kill-signals.html . Ich möchte wissen, ob

So ermitteln Sie den status von msbuild von der Befehlszeile oder C# - Anwendung

Anzahl der Antworten 2 Antworten
Ich Schreibe ein checkout, build-und deployment-Anwendungen in C#, und müssen wissen, der beste Weg, um zu erkennen, ob mein Aufruf msbuild.exe gelungen ist oder nicht. Ich habe versucht, den Fehlercode aus dem Prozess, aber ich bin mir

How to get status ""Invoke-Expression", erfolgreich oder gescheitert?

Anzahl der Antworten 4 Antworten
Invoke-Expression zurück der text des Befehls aufgerufen wird. Aber wie bekomme ich das system zurück Wert, ob dieser Befehl ausgeführt wurde, erfolgreich oder mit einem Fehler? In CMD konnte ich verwenden %errorlevel% auf externe Befehlsausführung Zustand. Was

Jenkins - einfach robocopy in Jenkins beendet Marken bauen mit Fehler

Anzahl der Antworten 3 Antworten
Ich habe einfach eine windows-batch-Befehl (robocopy) zurückgibt, die null-Fehler, aber ist immer markiert als Fehler im Jenkins. Ich würde gerne wissen, warum? D:\Jenkins\jobs\Jenkins Config Backup\workspace>exit 1 Build-Schritt 'Execute Windows batch-Befehl" markierte bauen als Misserfolg Fertig: AUSFALL InformationsquelleAutor

Ausfahrt aus einer Konsolenanwendung in C#

Anzahl der Antworten 6 Antworten
Ich lese eine Menge Dinge hier auf stackoverflow, Kommentare, Meinungen und jegliche Art von Ideen. Aber wie auch immer, ich brauche wirklich eine Weise erklärt, um zu beenden mein console-Anwendung (ich bin auf VS2010 Framework 4) auf

Unit-test-Skript gibt exit-code = 0, auch wenn tests fehlschlagen

Anzahl der Antworten 2 Antworten
Mein Test-script sieht wie folgt aus: import os import sys from unittest import defaultTestLoader as loader, TextTestRunner path_to_my_project = os.path.dirname(os.path.abspath(__file__)) + '/../' sys.path.insert(0, path_to_my_project) suite = loader.discover('my_project') runner = TextTestRunner() runner.run(suite) Wenn ich dieses Skript ausführen, wird

Liste der Windows-Anwendung exit-codes

Anzahl der Antworten 2 Antworten
Wo bekomme ich die Liste der Windows-Anwendung exit-codes? InformationsquelleAutor Leonid F. | 2010-07-13

Eclipse stürzt beim Start; Exit code=13

Anzahl der Antworten 6 Antworten
Ich versuche zu arbeiten mit Eclipse Helios auf meiner x64 Maschine (Im ziemlich sicher, dass dieses problem kann auftreten, mit jeder eclipse) aber es funktioniert einfach nicht kooperieren. Wenn ich versuche, starten Sie eclipse bekomme ich die

Linux: Holen Sie sich die exit-code aus dem kill-Befehl

Anzahl der Antworten 1 Antworten
Wenn ich ein SIGTERM signal an einen Prozess mit der kill Befehl, erwarte ich einen exit-code, aber ich bekomme immer 0 (null) beim ausführen den nachstehenden Befehl nach der Tötung einen Prozess: echo $? Entsprechend der Antwort

java wurde gestartet, aber zurückgegebene exit-code

Anzahl der Antworten 3 Antworten
als ich starten wollte, eclipse, habe ich zum ersten mal diese Meldung: Nach diesem Fehler habe ich recherchiert und eine Lösung gefunden hier. diese Lösung hat mich gebeten, diese Zeile in eclipse.ini: -vm C:\Program Files (x86)\Java\jdk1.7.0_25\bin\javaw.exe aber

Einstellung exit-codes in Unix-shell-Skripte

Anzahl der Antworten 1 Antworten
Habe ich test.sh das hat mehrere return-Zustand und test1.sh nur echo-Anweisung.Wenn ich test2.sh meine Logik ausgeführt werden soll test.sh Prozess die Datei, die ich.e "Datei erfolgreich", und nennen Sie test1.sh script .Sollte es nicht laufen test1.sh Skript

So beenden Sie ein Programm mit Strg-D?

Anzahl der Antworten 5 Antworten
Ich versuche zu schreiben ein einfaches Programm, das simuliert einen Taschenrechner. Ich möchte das Programm zu beenden oder ausschalten, wenn das Strg+D Tastatureingabe erfolgt. Ich durchsuchte stackoverflow und sah andere Beispiele für Strg+C oder Strg+ aber die

Powershell-Prozess Starten, Warten mit Timeout, Töten Sie und Holen Sie Exit-Code

Anzahl der Antworten 1 Antworten
Möchte ich wiederholt die Ausführung eines Programms in einer Schleife. Manchmal stürzt das Programm ab, so will ich es töten, so dass die nächste iteration kann richtig beginnen. Ich bestimme dies über timeout. Habe ich das timeout

Wo finde ich den Windows Task Scheduler exit-codes-Liste?

Anzahl der Antworten 3 Antworten
Alle die ich gefunden habe, über die Windows Task Scheduler Ergebnisse sind kurze Angaben über nur ein paar codes. Wer kennt einen vollständige Liste? Zum Beispiel, ich nicht in der Lage zu finden, etwas über den Fehlercode

Bash: Wie testen, Fehler von mkdir-Befehl?

Anzahl der Antworten 5 Antworten
Schreibe ich ein bash-script und möchte robust Fehler zu überprüfen. Den exit-status-code für mv zu machen, scheitern ist leicht zu simulieren, scheitern. Alles, was Sie tun müssen, ist, verschieben Sie eine Datei, die nicht existiert, und es

Kann nicht starten Sie die shell-Skript mit Argumenten, die mit Java ProcessBuilder

Anzahl der Antworten 1 Antworten
Ich versuche das ausführen einer shell-Skript mit Kommandozeilen-Argumente mit ProcessBuilder, dieses shell-Skript inturn ruft zwei andere shell-Skripte, verwendet dieses argument. Das erste shell-Skript läuft gut, aber wenn die zweite wird gestartet, es gibt exit-code 1. ProcessBuilder Ausschnitt

Beenden Sie ein python-Skript sauber

Anzahl der Antworten 1 Antworten
Ich versuche so beenden Sie ein python-Skript, ohne die lästige Fehlermeldung kommen: Traceback (most recent call last): File "<pyshell#27>", line 3, in <module> sys.exit() SystemExit Habe ich versucht schon ein paar Sachen, aber keine gearbeitet haben. Hier

Die Angabe der Return-Fehler-Code auf das Beenden der Anwendung

Anzahl der Antworten 2 Antworten
Wie kann der return-Fehler-code angegeben werden, auf das beenden der Anwendung? Wenn dies ein VC++ - Anwendung, die ich verwenden könnte, die SetLastError(ERROR_ACCESS_DENIED) -- return GetLastError() APIs. Gibt es eine Möglichkeit in C#? static int Main(string args)

Erste Skript exit-status-code in php

Anzahl der Antworten 2 Antworten
Gibt es trotzdem, um den exit-status-code für eine php-script im hintergrund laufen, per exec($cmd, $output, $exitCode)? Beispiel: exec('php script.php &', $output, $exitCode); Wenn das nachgestellte '&' nicht enthalten, dann $exitCode funktioniert wie erwartet, es ist immer 0

Gewusst wie: erfassen der exit status eines shell-Befehl in Java?

Anzahl der Antworten 4 Antworten
Ich bin erstellen Sie eine Junit-test-Datei für meine CSVreader. Ich bin den Inhalt zu Lesen von CSV-Dateien und schreibt den Inhalt in eine andere Datei. Ich möchte Sie vergleichen mit diff-utility, und ich will mit der exit-status

eclipse installiert, aber nicht start java zurückgegebene exit-code = 1

Anzahl der Antworten 7 Antworten
Kürzlich installierte ich eclipse-dsl-juno-SR1-win32-x86_64 und nach dem extrahieren der Dateien, als ich mit dem laufen begann Eclipse es gab mir die folgende Fehlermeldung : Java gestartet wurde, aber zurückgegebene exit-code=1 (benötigt java version=1.5) Habe ich überprüft, den

Perl: Erfassung von korrekten Rückgabewert von "system" - Befehl

Anzahl der Antworten 1 Antworten
Ich bin ein Anfänger in Perl. Ich habe eine Windows-batch-Skript enthält mehrere NMake-Befehle. Ein vorhandenes Problem mit diesem batch-Skript ist, dass selbst wenn der NMake-Befehl schlägt fehl, während der Ausführung, ERRORLEVEL nicht richtig eingestellt. Wir werden also

Was ist die Bedeutung von Werten aus Java-Prozess.exitValue()?

Anzahl der Antworten 1 Antworten
Ich bin mit Process über ProcessBuilder zum ausführen einer ausführbaren Datei gemacht, in C-code. Ich bin, fangen die Process.exitValue() reagieren auf diese exit-Werte. Ich bemerkte nicht alle exit-Werte sind aus der ausführbaren Datei. Zum Beispiel bekomme ich

Ausführen von bash-Befehl in Node.js und erhalten Sie exit-code

Anzahl der Antworten 3 Antworten
Ich einen bash-Befehl in node.js etwa so: var sys = require('sys') var exec = require('child_process').exec; function puts(error, stdout, stderr) { sys.puts(stdout) } exec("ls -la", function(err, stdout, stderr) { console.log(stdout); }); Wie bekomme ich den exit-code des Befehls

Immer den exit-code von einer Anwendung gestartet wird mit "cmd" und "start" - Befehle

Anzahl der Antworten 3 Antworten
Ich habe eine Konsole-Anwendung. Die Interaktion mit dieser Anwendung erfolgt über TCP/IP. Ich habe auch ein test-framework für Sie, das ist im Grunde eine Sammlung von BATCH-Skripten (...nicht meine Schuld). Was dieser test framework wird für jeden

STS-Start-Fehler - Java gestartet wurde, aber zurückgegebene exit-code=13

Anzahl der Antworten 12 Antworten
Also habe ich installiert STS eine Weile jetzt auf meinem Windows-7-64-bit-Maschine, jedes mal, wenn ich versuche, führen Sie STS bekomme ich die beiliegende Java exit code=13 Fehler unten. Habe ich nicht habe Eclipse installiert in meinem Computer,

Shell-Skript-Aufruf-Fehler - Xcode 6

Anzahl der Antworten 3 Antworten
Habe ich vor kurzem abgeholt ein Projekt von einem anderen Entwickler, der nicht den Abschluss des Projektes. Das einzige problem, das ich habe, ist, dass ich nicht an das zu erstellende Projekt für den simulator, oder für

Wie interpretieren status-code in Python-Befehle.getstatusoutput()

Anzahl der Antworten 4 Antworten
In einem stellt sich die Frage,, fragte ich, wo finden Sie die Dokumentation für die C-Funktion "warten Sie." Dies war ein Versuch, um herauszufinden, return-codes für die Befehle.getstatusoutput () - Modul. Stackoverflow kam durch, aber die Dokumentation

MSBuild-exec-task, exit-code leer

Anzahl der Antworten 1 Antworten
Habe ich die folgenden exec-Aufgabe, die Durchführung checkin assemblyinfo.cs-Dateien. Ich versuche, zurückzukehren, der exit-code, aber aus irgendeinem Grund ist es immer leer. <!--Checkin if all succeeded--> <Exec Condition=" '$(LocalCompilationSuccess)' != 'Failed' and '$(LocalTestSuccess)' != 'Failed' " ContinueOnError="True"

Wo finde ich eine Liste von "mysqldump" exit codes?

Anzahl der Antworten 4 Antworten
Ich weiß, dass exit code = 0 bedeutet No error. Bekam ich exit code = 2. Was bedeutet das ? Wo sehe ich die komplette Liste der mysqldump exit-codes ? InformationsquelleAutor Misha Moroshko | 2010-10-02

Wie genau funktioniert die Java-Anwendung beenden-code der main () - Methode?

Anzahl der Antworten 3 Antworten
Habe ich folgende Zweifel im Zusammenhang einer einfachen Kommandozeile Java-Anwendung. Also ich habe das Befehl Linie Anwendung, die startd durch eine main() Methode definiert innerhalb einer Main Klasse. Wie immer diese main() Methode definiert mit dieser Signatur:

Erste exit-status-code von 'ftp' - Befehl in der linux shell

Anzahl der Antworten 5 Antworten
Ich muss ermittelt werden, um den exit-status-code von einem Kommandozeilen-Programm. Keine Sorge, ich verwendet,$?. Aber für ftp, auch wenn es nicht verbinden, es öffnet sich das ftp-shell, also bin ich nicht in der Lage zu verstehen, dass

Bash & (ampersand) - operator

Anzahl der Antworten 3 Antworten
Ich versuche, ausgeführt 3 die Befehle parallel in der bash-shell: $ (first command) & (second command) & (third command) & wait Das problem mit diesem ist, dass, wenn first command ausfällt, zum Beispiel, der exit-code ist 0

Unter Verwendung Der Umwelt.ExitCode gegen Rückgabe int Main

Anzahl der Antworten 3 Antworten
Ich bin der Planung bis zur Nutzung der return-code der C# - executable in einem meiner shell-Skript. Ich habe zwei Optionen: Rückgabe eines int-Wertes aus der main-Methode class MainReturnValTest { static int Main() { //... return 0;

PL/SQL: gibt es eine Anweisung, um vollständig zu stoppen die Ausführung von Skript?

Anzahl der Antworten 4 Antworten
Ich versuche zu tun, einige checkings auf ein DB-schema am Anfang eines PL/SQL-Skript. Wenn die checkings geben, unterlegen Ergebnisse, ich will halt das Skript, um zu verhindern, dass die nächsten Anweisungen ausgeführt werden. Ich habe so etwas